Option Compare Binary
Option Explicit On
Option Strict On

' Taken from "stat.h".
<Flags()> _
Friend Enum ST_MODE As UInt16
    _S_IFMT = &HF000    ' /* file type mask */
    _S_IFDIR = &H4000   ' /* directory */
    _S_IFCHR = &H2000   ' /* character special */
    _S_IFIFO = &H1000   ' /* pipe */
    _S_IFREG = &H8000   ' /* regular */
    _S_IREAD = &H100    ' /* read permission, owner */
    _S_IWRITE = &H80    ' /* write permission, owner */
    _S_IEXEC = &H40     ' /* execute/search permission, owner */
End Enum

<Flags()> _
Public Enum FileMode
    File = ST_MODE._S_IFMT
    Directory = ST_MODE._S_IFDIR
    CharacterSpecial = ST_MODE._S_IFCHR
    Pipe = ST_MODE._S_IFIFO
    Regular = ST_MODE._S_IFREG
    Read = ST_MODE._S_IREAD
    Write = ST_MODE._S_IWRITE
    Execute = ST_MODE._S_IEXEC
End Enum