Option Compare Binary
Option Explicit On
Option Strict On

Friend Enum IMAGE_FILE_MACHINE
    IMAGE_FILE_MACHINE_UNKNOWN = &H0
    IMAGE_FILE_MACHINE_AM33 = &H1D3
    IMAGE_FILE_MACHINE_AMD64 = &H8664
    IMAGE_FILE_MACHINE_ARM = &H1C0
    IMAGE_FILE_MACHINE_EBC = &HEBC
    IMAGE_FILE_MACHINE_I386 = &H14C
    IMAGE_FILE_MACHINE_IA64 = &H200
    IMAGE_FILE_MACHINE_M32R = &H9041
    IMAGE_FILE_MACHINE_MIPS16 = &H266
    IMAGE_FILE_MACHINE_MIPSFPU = &H366
    IMAGE_FILE_MACHINE_MIPSFPU16 = &H466
    IMAGE_FILE_MACHINE_POWERPC = &H1F0
    IMAGE_FILE_MACHINE_POWERPCFP = &H1F1
    IMAGE_FILE_MACHINE_R4000 = &H166
    IMAGE_FILE_MACHINE_SH3 = &H1A2
    IMAGE_FILE_MACHINE_SH3DSP = &H1A3
    IMAGE_FILE_MACHINE_SH4 = &H1A6
    IMAGE_FILE_MACHINE_SH5 = &H1A8
    IMAGE_FILE_MACHINE_THUMB = &H1C2
    IMAGE_FILE_MACHINE_WCEMIPSV2 = &H169
End Enum

Public Enum ImageFileMachine
    Unknown = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_UNKNOWN
    AM33 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_AM33
    Amd64 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_AMD64
    Arm = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_ARM
    Ebc = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_EBC
    I386 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_I386
    IA64 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_IA64
    M32R = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_M32R
    Mips16 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_MIPS16
    MipsFpu = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_MIPSFPU
    MipsFpu16 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_MIPSFPU16
    PowerPC = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_POWERPC
    PowerPCFP = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_POWERPCFP
    R4000 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_R4000
    SH3 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_SH3
    SH3Dsp = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_SH3DSP
    SH4 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_SH4
    SH5 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_SH5
    Thumb = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_THUMB
    WceMipsV2 = IMAGE_FILE_MACHINE.IMAGE_FILE_MACHINE_WCEMIPSV2
End Enum