Option Compare Binary
Option Explicit On
Option Strict On

Imports System.Globalization

Public Class ArchiveMemberHeader
    Private m_Name As String
    Private m_Date As Date
    Private m_UserId As String
    Private m_GroupId As String
    Private m_FileMode As FileMode
    Private m_MemberSize As Integer

    Public Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal Value As String)
            m_Name = Value
        End Set
    End Property

    Public Property [Date]() As Date
        Get
            Return m_Date
        End Get
        Set(ByVal Value As Date)
            m_Date = Value
        End Set
    End Property

    Public Property UserId() As String
        Get
            Return m_UserId
        End Get
        Set(ByVal Value As String)
            m_UserId = Value
        End Set
    End Property

    Public Property GroupId() As String
        Get
            Return m_GroupId
        End Get
        Set(ByVal Value As String)
            m_GroupId = Value
        End Set
    End Property

    Public Property FileMode() As FileMode
        Get
            Return m_FileMode
        End Get
        Set(ByVal Value As FileMode)
            m_FileMode = Value
        End Set
    End Property

    Public Property MemberSize() As Integer
        Get
            Return m_MemberSize
        End Get
        Set(ByVal Value As Integer)
            m_MemberSize = Value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return "Name={" & Me.Name & "}, Date={" & Me.Date.ToString(CultureInfo.InvariantCulture) & "}, UserId={" & Me.UserId & "}, GroupId={" & Me.GroupId & "}, FileMode={" & Me.FileMode.ToString() & "}, MemberSize={" & Me.MemberSize & "}"
    End Function
End Class