Option Compare Binary
Option Explicit On
Option Strict On

Public Class ImportSymbol
    Private m_Name As String
    Private m_DllName As String
    Private m_ImportNameType As ImportNameType
    Private m_ImportType As ImportType
    Private m_OrdinalHint As Integer
    Private m_Machine As ImageFileMachine

    Public Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal Value As String)
            m_Name = Value
        End Set
    End Property

    Public Property DllName() As String
        Get
            Return m_DllName
        End Get
        Set(ByVal Value As String)
            m_DllName = Value
        End Set
    End Property

    Public Property ImportNameType() As ImportNameType
        Get
            Return m_ImportNameType
        End Get
        Set(ByVal Value As ImportNameType)
            m_ImportNameType = Value
        End Set
    End Property

    Public Property ImportType() As ImportType
        Get
            Return m_ImportType
        End Get
        Set(ByVal Value As ImportType)
            m_ImportType = Value
        End Set
    End Property

    Public Property OrdinalHint() As Integer
        Get
            Return m_OrdinalHint
        End Get
        Set(ByVal Value As Integer)
            m_OrdinalHint = Value
        End Set
    End Property

    Public Property Machine() As ImageFileMachine
        Get
            Return m_Machine
        End Get
        Set(ByVal Value As ImageFileMachine)
            m_Machine = Value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return "Name={" & Me.Name & "}, DllName={" & Me.DllName & "}, ImportNameType={" & Me.ImportNameType.ToString() & "}, ImportType={" & Me.ImportType.ToString() & "}, OrdinalHint={" & Me.OrdinalHint & "}, Machine={" & Me.Machine.ToString() & "}"
    End Function
End Class