Option Compare Binary
Option Explicit On
Option Strict On

Public Class ParseErrorEventArgs
    Inherits EventArgs

    Private m_Message As String
    Private m_Position As Long

    Public Sub New(ByVal Position As Long, ByVal Message As String)
        Me.Position = Position
        Me.Message = Message
    End Sub

    Public Property Message() As String
        Get
            Return m_Message
        End Get
        Set(ByVal Value As String)
            m_Message = Value
        End Set
    End Property

    Public Property Position() As Long
        Get
            Return m_Position
        End Get
        Set(ByVal Value As Long)
            m_Position = Value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return "Position={" & Me.Position & "}, Message={" & Me.Message & "}"
    End Function
End Class